#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.3
visibility:           public
id:                   taffybar-4.0.3-W2H734plowJED54jiBNw8
key:                  taffybar-4.0.3-W2H734plowJED54jiBNw8
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  e0a4e91264047e59642dec0f6cc8b0c6
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.3-W2H734plowJED54jiBNw8
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0
    /usr/include/cloudproviders /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0 /usr/include/atk-1.0 /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/fribidi /usr/include/libxml2
    /usr/include/pixman-1 /usr/include/harfbuzz /usr/include/freetype2
    /usr/include/libpng16 /usr/include/gio-unix-2.0
    /usr/include/glib-2.0 /usr/lib/glib-2.0/include
    /usr/include/libmount /usr/include/blkid /usr/include/sysprof-6

depends:
    HStringTemplate-0.8.8-E06DGUJ0sNy4xKa23j48pr
    X11-1.10.3-8NdPo2dy5eHGXd7RnXiWFu
    aeson-2.1.2.1-GLiPeiAR7ZSFwx9H49aVEA
    ansi-terminal-0.11.5-42Zdxoepg2fBt2fXSuZOhD base-4.16.4.0
    broadcast-chan-0.2.1.2-f02PvATo7NKoyx3Lp7VKE bytestring-0.11.4.0
    conduit-1.3.6-ITaJCDyfp5cDfMMsLf8jTY containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    dbus-1.3.1-7KXPHjEo7wIBfMdToxNlLq
    dbus-hslogger-0.1.0.1-8NhQeifc0zj7JF1ZilbylM directory-1.3.6.2
    dyre-0.9.2-5abLnFQgVLs9P4QvCpgWpr
    either-5.0.2-5P7zK99j9RACbB9mGeBv47
    enclosed-exceptions-1.0.3-IKUpUpB5ZRH91LxHQheoK7 filepath-1.4.2.2
    gi-cairo-connector-0.1.1-DEJcwQQli60JeHs1pXM2xJ
    gi-cairo-render-0.1.2-G1NReglutOj4mD8u4G3tis
    gi-gdk-3.0.25-jrC5HSE7Dz8KQgkt8nqr7
    gi-gdkpixbuf-2.0.31-66OvwXKDedF8kUxfLVmlBK
    gi-gdkx11-3.0.12-BeGDY9Hzm371HPprN0kHhw
    gi-glib-2.0.29-B82147ZmXCzBb0d4B2c1OQ
    gi-gtk-3.0.38-1Lqm0lWXso04mTE8zClssf
    gi-gtk-hs-0.3.16-DenFcFPCDOvFWDZOFSKtrg
    gi-pango-1.0.29-7k0tB9MyH2AFwvvYzgPsnl
    gtk-sni-tray-0.1.8.1-F7ECIkoFZLC3HkfEaLGpTg
    gtk-strut-0.1.3.2-BYIlXhZzQzy1ajhYBImwWV
    haskell-gi-base-0.26.5-9u86NL3wgSOEr4gB6yMmBl
    hslogger-1.3.1.1-3f0aqQio8hA154OShRU23p
    http-client-0.7.17-EFmEUThXTDfDt0qoIOD07x
    http-client-tls-0.3.6.3-FJOxFsYtwFH1vBtELLr9uD
    http-conduit-2.3.9.1-KMq0N6ASCn52mCiM15XfE5
    http-types-0.12.4-2rcXIQEupHkLpBuJocqUeT
    multimap-1.2.1-2IAvtGljS5zEVxuDX8lIuU parsec-3.1.15.0
    process-1.6.16.0 rate-limit-1.4.3-GgKPfmYk1rq2rp9ut0wxbG
    regex-compat-0.95.2.1-6r4iKSNuQHkEjgz1ilm8wy
    safe-0.3.21-8EWvV5l6gQBAbLZPjhOEwa
    scotty-0.22-ENoGKyc6pFn981SHNM4S4i
    split-0.2.5-1ZxzpQu4N6MJreBZLkb7G2
    status-notifier-item-0.3.1.0-6pQl4lE7etl8ck5Mw0D3G4 stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    time-units-1.0.0-5ANWMnlmGbA6CL2adJPINT transformers-0.5.6.2
    tuple-0.3.0.2-FNeVBMFgB121EFZA9rWVYI unix-2.7.2.2
    utf8-string-1.0.2-AQMRv3gsvE14uh4nlO1egX
    xdg-basedir-0.2.2-BAENMrhgj9o4xkjbLJyx83
    xdg-desktop-entry-0.1.1.2-LOnAJNXFRVg3h8PqupJg3Z
    xml-1.3.14-6RhFPlxQprr192No4Dq3gf
    xml-helpers-1.0.0-KVIOBFUCXoGnjpBr1W1E3
    xmonad-0.18.0-5L3HYWoYi34GZOsQLXCKf7

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

